#[doc = "Register `HS16` reader"]
pub struct R(crate::R<HS16_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<HS16_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<HS16_SPEC>> for R {
    fn from(reader: crate::R<HS16_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `HS16` writer"]
pub struct W(crate::W<HS16_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<HS16_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<HS16_SPEC>> for W {
    fn from(writer: crate::W<HS16_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `HS_BYTE` reader - RAM configuration for DSI channel bytes"]
pub struct HS_BYTE_R(crate::FieldReader<u8, u8>);
impl HS_BYTE_R {
    pub(crate) fn new(bits: u8) -> Self {
        HS_BYTE_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for HS_BYTE_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `HS_BYTE` writer - RAM configuration for DSI channel bytes"]
pub struct HS_BYTE_W<'a> {
    w: &'a mut W,
}
impl<'a> HS_BYTE_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xff) | (value as u8 & 0xff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:7 - RAM configuration for DSI channel bytes"]
    #[inline(always)]
    pub fn hs_byte(&self) -> HS_BYTE_R {
        HS_BYTE_R::new((self.bits & 0xff) as u8)
    }
}
impl W {
    #[doc = "Bits 0:7 - RAM configuration for DSI channel bytes"]
    #[inline(always)]
    pub fn hs_byte(&mut self) -> HS_BYTE_W {
        HS_BYTE_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "DSI HS Tile Configuration; Horizontal Segmentation\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [hs16](index.html) module"]
pub struct HS16_SPEC;
impl crate::RegisterSpec for HS16_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [hs16::R](R) reader structure"]
impl crate::Readable for HS16_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [hs16::W](W) writer structure"]
impl crate::Writable for HS16_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets HS16 to value 0"]
impl crate::Resettable for HS16_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
